
class PPABAPIError(Exception):
	def __init__(self, message, short_message, method_name, method_args, inner):
		"""
		message - exception message
		method - name of the called method
		args - arguments passed to the method, as string
		inner - root exception, instance of xmlrpclib.Fault
		"""
		super(PPABAPIError, self).__init__(message)
		self.method_name = method_name
		self.method_args = method_args 
		self.short_message = short_message
		self.inner = inner

